/**
 * @license
 * Copyright (C) 2016-present Chi Vinh Le and contributors.
 *
 * This software may be modified and distributed under the terms
 * of the MIT license. See the LICENSE file for details.
 */
"use strict";
var __assign = (this && this.__assign) || Object.assign || function(t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
        s = arguments[i];
        for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
            t[p] = s[p];
    }
    return t;
};
var blueprint_1 = require("./blueprint");
var pick_1 = require("./utils/pick");
function getContext(contextTypes) {
    return {
        classCallback: function (componentClass) {
            componentClass.contextTypes = __assign({}, componentClass.contextTypes, contextTypes);
        },
        instanceCallbacks: [
            blueprint_1.propsCallback(function (props, _, context) { return (__assign({}, props, pick_1.default.apply(void 0, [context].concat(Object.keys(contextTypes))))); }),
        ],
    };
}
exports.getContext = getContext;
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = getContext;

//# sourceMappingURL=getContext.js.map
