/**
 * @license
 * Copyright (C) 2016-present Chi Vinh Le and contributors.
 *
 * This software may be modified and distributed under the terms
 * of the MIT license. See the LICENSE file for details.
 */
"use strict";
function mapKeys(obj, func) {
    return Object.keys(obj).reduce(function (result, key) {
        var val = obj[key];
        result[func(key, val)] = val;
        return result;
    }, {});
}
exports.mapKeys = mapKeys;
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = mapKeys;

//# sourceMappingURL=mapKeys.js.map
