/**
 * @license
 * Copyright (C) 2016-present Chi Vinh Le and contributors.
 *
 * This software may be modified and distributed under the terms
 * of the MIT license. See the LICENSE file for details.
 */
"use strict";
function omit(obj) {
    var keys = [];
    for (var _i = 1; _i < arguments.length; _i++) {
        keys[_i - 1] = arguments[_i];
    }
    var result = {};
    for (var i = 0, list = Object.keys(obj); i < list.length; i++) {
        var key = list[i];
        if (keys.indexOf(key) < 0 && obj.hasOwnProperty(key)) {
            result[key] = obj[key];
        }
    }
    return result;
}
exports.omit = omit;
;
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = omit;

//# sourceMappingURL=omit.js.map
