/**
 * @license
 * Copyright (C) 2016-present Chi Vinh Le and contributors.
 *
 * This software may be modified and distributed under the terms
 * of the MIT license. See the LICENSE file for details.
 */
import { Composable } from "./blueprint";
import { Mapper } from "./types";
export declare type Reducer<TState, TAction> = (s: TState, a: TAction) => TState;
export declare function withReducer(stateName: string, dispatcherName: string, reducer: Reducer<any, any>, initialValue: Object | Mapper<any, any>): Composable;
export declare function withReducer<TPropsIn, TPropNames extends string, TPropsValue, TAction>(stateName: TPropNames, dispatcherName: TPropNames, reducer: Reducer<TPropsValue, TAction>, initialValue: TPropsValue | Mapper<TPropsIn, TPropsValue>): Composable;
export default withReducer;
