/**
 * @license
 * Copyright (C) 2016-present Chi Vinh Le and contributors.
 *
 * This software may be modified and distributed under the terms
 * of the MIT license. See the LICENSE file for details.
 */
import { Composable } from "./blueprint";
import { PredicateDiff } from "./types";
export declare type PropsCallback<T> = (props: T) => void;
export declare type NextPropsCallback<T> = (prevProps: T, nextProps: T) => void;
export declare function onWillMount<T>(callback: PropsCallback<T>): Composable;
export declare function onDidMount<T>(callback: PropsCallback<T>): Composable;
export declare function onWillUnmount<T>(callback: PropsCallback<T>): Composable;
export declare function onWillReceiveProps<T>(callback: NextPropsCallback<T>): Composable;
export declare function onWillUpdate<T>(callback: NextPropsCallback<T>): Composable;
export declare function onDidUpdate<T>(callback: NextPropsCallback<T>): Composable;
export declare function shouldUpdate<T>(callback: PredicateDiff<T>): Composable;
