/// <reference types="react" />
/**
 * @license
 * Copyright (C) 2016-present Chi Vinh Le and contributors.
 *
 * This software may be modified and distributed under the terms
 * of the MIT license. See the LICENSE file for details.
 */
import { ComponentClass, StatelessComponent } from "react";
export declare type ReactComponent<T> = ComponentClass<T> | StatelessComponent<T>;
export declare type ComponentEnhancer<TInner, TOutter> = (component: ReactComponent<TInner>) => ComponentClass<TOutter>;
export declare type Mapper<TIn, TOut> = (input: TIn) => TOut;
export declare type Predicate<T> = Mapper<T, boolean>;
export declare type PredicateDiff<T> = (current: T, next: T) => boolean;
export declare type Indexable = {
    [key: string]: any;
};
